Subject: Re: [netmod] must every yang module have a unique namespace?

From: Andy Bierman <[email-masked]>
Date: Wed, 16 Nov 2011 20:27:53 -0800

On 08/02/2011 04:46 PM, Kent Watsen wrote:
>
>> If you are going to advertise multiple YANG files per namespace URI,
>> then they might as well be sub-modules.  Just advertise all the submodules
>> and the main module in the<hello>.
>
> Huh?  - the arbitrary combinations I mentioned before won't allow it.
>
>
>> I do not agree that deviations are hacky or relevant here.
>
> I least we agree that deviations are not relevant, albeit for different reasons  ;)
>
>
>> Your interpretation of YANG XML namespace usage is not
>> supported by the RFC 6020 text.
>
> 6020 is only unambiguous for standards-based modules (i.e. IETF-defined).  Can you source the text, other than what I quoted, that cinches it for non standards-based modules?
>

I do not agree with this assertion.
YANG augment (from 1 module to another) requires distinct XML namespaces
so proper XML encoding can be done.  There is a basic design assumption
that it is OK for a module to augment any other node, without requiring a
centralized naming authority, because the extended-names of siblings will be unique,
even if the local-names are not unique.

This design choice has nothing to do with vendor vs. IETF modules.

Andy